
! **********************************************************************************************
! IncPicture class
! **********************************************************************************************

InkPicture        CLASS,Type,MODULE('InkPicture.clw'),LINK('InkPicture.clw',_InkPictureLinkMode_),DLL(_InkPictureDllMode_)

              ! Properties -----------------------------------------------------------------------
W                          &Window
cOLE                       Short 
ObjStr                     CSTRING(32) 
BackgroundPicName          CSTRING(256)

              ! Methods -------------------------------------------------------------------------
Init                       Procedure(Window W,Short OLEControl),LONG,VIRTUAL,Proc
Kill                       Procedure(),VIRTUAL,Proc    
AntiAliased                Procedure(LONG V),VIRTUAL  
Construct                  Procedure()
Draw                       Procedure(LONG hWnd),VIRTUAL,Proc 
DrawOnDC                   Procedure(LONG hWnd),VIRTUAL,Proc 
EraseAll                   Procedure(),VIRTUAL
EraserMode                 Procedure(LONG M),VIRTUAL,Proc 
EditingMode                Procedure(LONG M),VIRTUAL,Proc 
GetDataSize                Procedure(),LONG,VIRTUAL,Proc 
GetBottom                  Procedure(),LONG,VIRTUAL,Proc 
LoadFromBlob               Procedure(*BLOB pBLOB),VIRTUAL,Proc 
LoadFromNative             Procedure(STRING pFileName),VIRTUAL,Proc   
Print_                     Procedure(LONG SelectPrinter=TRUE),VIRTUAL
SaveToBlob                 Procedure(*BLOB pBLOB),VIRTUAL,Proc 
SaveToBlobWithBackground   Procedure(*BLOB pBLOB),VIRTUAL,Proc 
SaveToBMP                  Procedure(STRING pFileName),VIRTUAL,Proc 
SaveToBMPWithBackground    Procedure(STRING pFileName),VIRTUAL,Proc 
SaveToGIF                  Procedure(STRING pFileName),VIRTUAL,Proc 
SaveToWMF                  Procedure(STRING pFileName),VIRTUAL,Proc 
SaveToEMF                  Procedure(STRING pFileName),VIRTUAL,Proc 
SaveToWMFviaClipboard      Procedure(STRING pFileName),VIRTUAL,Proc 
SaveToNative               Procedure(STRING pFileName),VIRTUAL,Proc 
SetBackColor               Procedure(LONG C),VIRTUAL,Proc 
SetBackgroundPicture       Procedure(STRING pFileName),VIRTUAL,Proc 
SetControlHeight           Procedure(LONG H),VIRTUAL,Proc 
SetControlWidth            Procedure(LONG W),VIRTUAL,Proc 
SetOrigHeight              Procedure(SREAL H),VIRTUAL,Proc 
SetOrigWidth               Procedure(SREAL W),VIRTUAL,Proc 
SetPenWidth                Procedure(SREAL W),VIRTUAL,Proc 
SetPenColor                Procedure(LONG C),VIRTUAL,Proc 
SetMouseIcon               Procedure(STRING pFileName),VIRTUAL,Proc 
SetMousePointer            Procedure(LONG P),VIRTUAL,Proc 
SetSizeMode                Procedure(LONG V),VIRTUAL,Proc  
WakeUp                     Procedure(),VIRTUAL,Proc
            END

